=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Section: kde
 Priority: optional
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.8.0~),
                gettext,
                kirigami-addons-dev (>= 0.6~),
