## kclock 25.12.0+p24.04+vstable+git20251231.0318

=== debian/changelog ===
kclock (25.12.0+p24.04+vstable+git20251231.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:18:02 +0000
