## kclock 25.12.1+p24.04+vstable+git20260106.1405

=== debian/changelog ===
kclock (25.12.1+p24.04+vstable+git20260106.1405-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:05:35 +0000
