## kclock 25.12.1+p24.04+vstable+git20260126.1221

=== debian/changelog ===
kclock (25.12.1+p24.04+vstable+git20260126.1221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 12:21:59 +0000
