## kclock 25.12.1+p24.04+vunstable+git20260201.0758

=== debian/changelog ===
kclock (25.12.1+p24.04+vunstable+git20260201.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:58:23 +0000
